Title: Blog et pages perso au LIMOS
Date: 2017-05-17 10:20
Status: Published
Tags: doc, python, pages perso, blog

[TOC]

## Comment obtenir un espace web personnel?

Tout compte unix ayant un homedir sur le serveur de fichier glouglou peut se créer son espace web personnel en créant un répertoire ```public_html``` à la racine de son répertoire.

Tout le contenu de /home/path/to/username/public_html sera accessible via
* https://limos.isima.fr/~username
* https://fc.isima.fr/~username
* https://www.isima.fr/~username
* https://isima.fr/~username

## Comment faire ma page personnelle?

### Avec Pelican

Pelican est un module python qui permet à partir d'un code source (une arborescence de fichiers textes au format [markdown](https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet)) de générer des fichiers html statiques présentés dans une charte graphique fonctionnelle et unifiée.

#### Prérequis

* [python](https://www.python.org/) >= 2.6 ([installation](http://www.mkdocs.org/#installing-python))
* [pip](https://pypi.python.org/pypi/pip) ([installation](https://pip.pypa.io/en/stable/installing/))
* [git](https://git-scm.com/) ([installation](https://git-scm.com/book/fr/v1/D%C3%A9marrage-rapide-Installation-de-Git))
* un éditeur de texte : [atom.io](https://atom.io/) est recommandé
* savoir ce qu'est [markdown](https://guides.github.com/features/mastering-markdown/)
* la commande [pelican](http://docs.getpelican.com/en/stable/) et toutes ses dépendances installables via pip

#### Installation de l'environnment

```shell
sudo pip install --editable .
```

> N.B. notes le '.' après --editable !!

#### Récupérer son blog

La plus simple est probablement de forker [<i class="fa fa-gitlab" aria-hidden="true"></i> ce blog](https://gitlab.isima.fr/mazenovi/mazenod)

```bash
git clone git@gitlab.isima.fr:mazenovi/mazenod.git
```

##### Thèmes

Le thème LIMOS a été réalisé à partir du thème [pelican-bootstrap3](https://github.com/getpelican/pelican-themes/tree/master/pelican-bootstrap3)

##### Plugins

Les plugins pré installés sont

* [i18n_subsites](https://github.com/getpelican/pelican-plugins/tree/master/i18n_subsites) permet le multilinguisme complet du site
* [extract_toc]() qui permet la génération dynamique d'[ancres html](https://www.alsacreations.com/astuce/lire/5-lien-precis-page-ancre-anchor-diese.html) sur tous les titres (h1, h2, ...) et la génération automatique d'une table des matières pour les posts longs
* [math_render](https://github.com/getpelican/pelican-plugins/tree/master/render_math) permet d'insérer des forumles mathématique directement dans le corps des postets ou page
* [tipue_search](https://github.com/getpelican/pelican-plugins/tree/master/tipue_search) permet d'intégrer un moteur de recherche
* [tag_cloud](https://github.com/getpelican/pelican-plugins/tree/master/tag_cloud) permet de faire apparaître les tags et le nombre d'articles associés dans le menu de gauche
* à faire : [assets](https://github.com/getpelican/pelican-plugins/tree/master/assets) pour minifier et concaténer les fichiers css et js



##### Librairies incluses

Ce blog intègre
* [fontawesome](http://fontawesome.io).
* [bootsrap3](http://getbootstrap.com/)
* [jquery v2.2.1](https://jquery.com/)


#### Personnalisation

Toute la personnalisation du blog se fait dans le fichier ```pelicanconf.py```.

Les principales options sont les suivantes

* [aperçus des thèmes pygment pour la coloration syntaxique](https://help.farbox.com/pygments.html)


#### Modifer ou ajouter du contenu à son espace personnel avec Pelican

##### Coloration syntaxique

##### Equations mathématiques

##### Table des matières

##### Multi linguisme

### Tout seul

Si la solution ci dessus vous êtes libre d'organiser votre espace web personnel comme bon vous semble: pour des raisons de sécurité privilégiez les sites statiques. Si vous avez réellement besoin de traitement côté serveur, php est installé. Vous pouvez également bénéficer d'une base de données en effectuant une demande à [cri@isima.fr](mailto:cri@isima.fr)
